Models/MaCourse.cs
//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    public partial class MaCourse
    {
        public MaCourse()
        {
            this.MaDetails = new HashSet<MaDetail>();
            this.MaPackages = new HashSet<MaPackage>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_Installment = new HashSet<Tb_Installment>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_FeeAdjustment = new HashSet<Tb_FeeAdjustment>();
            this.Tb_FeeRefund = new HashSet<Tb_FeeRefund>();
            this.MaGroupAssigns = new HashSet<MaGroupAssign>();
        }

        public int Id { get; set; }


        [StringLength(80)]
        [Display(Name = "Course Name")]
        [Required(ErrorMessage = "Course name is required")]
        public string CourseName { get; set; }
        [Display(Name = "Branch Name")]
       
        public Nullable<int> BranchId { get; set; }
       
        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {
                if (_Status ==true)
                {
                    return true;
                }
                else {

                    return false;
                }
            }

            set
            {

                _Status = value;
            }
        }
       


        public virtual ICollection<MaDetail> MaDetails { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual ICollection<MaPackage> MaPackages { get; set; }
        public virtual ICollection<Tb_CourseHist> Tb_CourseHist { get; set; }
        public virtual ICollection<Tb_Installment> Tb_Installment { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual ICollection<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public virtual ICollection<Tb_FeeRefund> Tb_FeeRefund { get; set; }
        public virtual ICollection<MaGroupAssign> MaGroupAssigns { get; set; }
    }
}

Controllers/MaCourseController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SSCMvc.Models;
using SSCMvc.Webutil;

namespace SSCMvc.Controllers
{
    [Authorize]
    public class MaCourseController : Controller
    {
        private SSCWebDBEntities1 db = new SSCWebDBEntities1();

        //
        // GET: /MaCourse/

        public ActionResult Index()
        {

            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }

            string usertype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            if (usertype != "Admin")
            {

                var macourses = db.MaCourses.OrderByDescending(z => z.Id).ToList();
                ViewBag.TotalCount = macourses.Count;
                return View(macourses.ToList());
            }

            var lstcourses = db.MaCourses.ToList();
            ViewBag.TotalCount = lstcourses.Count;
            return View(lstcourses.ToList());

        }

        //
        // GET: /MaCourse/Details/5

        public ActionResult Details(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            MaCourse macourse = db.MaCourses.Find(id);
            if (macourse == null)
            {
                return HttpNotFound();
            }
            return View(macourse);
        }

        //
        // GET: /MaCourse/Create

        public ActionResult Create()
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            //ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName");
            return View();
        }

        //
        // POST: /MaCourse/Create

        [HttpPost]
        public ActionResult Create(MaCourse macourse)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            if (ModelState.IsValid)
            {
                if (Request.Cookies[CommonUtil.CookieBranchid].Value != null)
                {
                    int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);
                    macourse.BranchId = branchid;
                    macourse.Cdate = DateTime.Now.AddMinutes(StaticLogic.TimeDifference).Date;
                    macourse.CourseName = macourse.CourseName.ToUpper();
                    macourse.Status = true;
                    //ViewBag.Cdate = macourse.Cdate;

                    db.MaCourses.Add(macourse);
                    db.SaveChanges();
                }
                return RedirectToAction("Index");
            }

            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", macourse.BranchId);
            return View(macourse);
        }

        #region Assign_Group

        public ActionResult AssignCode(string course = "Select", string group = "Select")
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.AssignTimeCode, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }

            if (course != "Select")
            {
                int cid = Convert.ToInt32(course);
                List<MaTime> lsttime = db.MaTimes.OrderByDescending(z => z.Id).ToList();
                foreach (MaTime obj in lsttime)
                {
                    MaGroupAssign gassign = new MaGroupAssign();
                    gassign.CourseId = cid;
                    gassign.GroupName = group;
                    gassign.Timeid = obj.Id;
                    //gassign.TimeOut = obj.TimeOut;
                    //gassign.OutDesc = obj.OutDesc;
                    //gassign.Indesc = obj.Indesc;
                    //gassign.TCode = obj.TCode;
                    gassign.Status = true;
                    try
                    {
                        db.MaGroupAssigns.Add(gassign);

                        db.SaveChanges();
                    }
                    catch (Exception ex)
                    { }

                }
                return View(db.MaGroupAssigns.ToList());
            }
            return View();

        }

        public ActionResult _GroupList(string sid = "Select")
        {
            if (sid != "Select")
            {
                return PartialView(db.MaGroupTime_View.Where(z => z.GroupName == sid).ToList());
            }

            return PartialView();


        }
        [HttpPost]
        public ActionResult _GroupList(List<MaGroupAssign> lst, FormCollection fc)
        {
            return PartialView();
        }

        #endregion








        //
        // GET: /MaCourse/Edit/5






        public ActionResult Edit(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            MaCourse macourse = db.MaCourses.Find(id);
            //if (macourse == null)
            //{
            //    return HttpNotFound();
            //}
            // ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", macourse.BranchId);
            return View(macourse);
        }

        //
        // POST: /MaCourse/Edit/5

        [HttpPost]
        public ActionResult Edit(MaCourse macourse)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            if (ModelState.IsValid)
            {
                db.Entry(macourse).State = System.Data.Entity.EntityState.Modified;
                macourse.Status = true;
                macourse.CourseName = macourse.CourseName.ToUpper();
                //macourse.Cdate = DateTime.Now.Date;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            // ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", macourse.BranchId);
            return View(macourse);
        }


        // GET: /MaCourse/Delete/5

        [AcceptVerbs(HttpVerbs.Post)]

        public ActionResult Delete(int id)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Delete);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            try
            {
                MaCourse macourse = db.MaCourses.Find(id);

                db.MaCourses.Remove(macourse);
                db.SaveChanges();
                return Content(Boolean.TrueString);
            }
            catch (Exception ex)
            {
                return JavaScript("errormessage();");
            }
        }






        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }







        public ActionResult UpdateCode(string id, string st)
        {
            try
            {
                id = id.Trim();

                int gid = Convert.ToInt32(id);
                MaGroupAssign obj = db.MaGroupAssigns.Where(z => z.Id == gid).First();
                obj.Status = Convert.ToBoolean(st);

                db.Entry(obj).State = System.Data.Entity.EntityState.Modified;
                db.SaveChanges();
            }
            catch (Exception ex)
            {
            }

            return View();

        }







    }
}

Views/MaCourse/AssignCode.cshtml
@using SSCMvc.Models
@using System.Web.UI.WebControls
@model IEnumerable<SSCMvc.Models.MaGroupAssign>
@{
    ViewBag.Title = "AssignCode";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    #refreshbtn { display: none; }
</style>
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            hidedrops();
        });
        $("#refreshbtn").click(function () {
            window.location.reload();
        });
        $("#updateselection").click(function () {
            $("#refreshbtn").css('display', 'block');
            var rows = $("#a").children("tbody:first").children("tr");    // Find all rows in table (content)
            var genders = rows.children("td:nth-child(5)");    // Find all columns that are the 2nd child
            genders.each(function () {
                var valueofStatus = $(this).find('input:checkbox').is(":checked");
                // Just to demonstrate how to iterate through each found column
                if (valueofStatus) {
                    var brandvalue = $(this).closest('tr').find('td').first().text();
                    $.post("/MaCourse/UpdateCode", { id: brandvalue, st: "true" }, function (data) {
                    });
                }
                else {
                    var brandvalue = $(this).closest('tr').find('td').first().text();
                    $.post("/MaCourse/UpdateCode", { id: brandvalue, st: "false" }, function (data) {
                    });
                }
            });
        });
        $('#Courses').change(function () {
            hidedrops();
            var cval = $('#Courses :selected').text();
            if (cval == "IELTS") {
                $('#ie').show();
            }
            if (cval == "PTE") {
                $('#pt').show();
            }
            if (cval == "GRAMMAR") {
                $('#gr').show();
            }
            if (cval == "ENDEAVOUR") {
                $('#en').show();
            }
        });
        $('#Createbtn').click(function () {
            var cid = $('#Courses').val();
            var cval = $('#Courses :selected').text();
            var gid = 0;
            if (cval == "IELTS") {
                gid = $("#ie").val();
            }
            if (cval == "GRAMMAR") {
                gid = $('#gr').val();
            }
            if (cval == "ENDEAVOUR") {
                gid = $('#en').val();
            }
            if (cval == "PTE") {
                gid = $('#pt').val();
            }
            if (gid != 0) {
                window.location.href = "/MaCourse/AssignCode?course=" + cid + "&&group=" + gid;
            }
            else {
                window.location.href = "/MaCourse/AssignCode?course=" + cid;
            }
        });
        function hidedrops() {
            $('#ie').hide();
            $('#en').hide();
            $('#gr').hide();
            $('#pt').hide();
        }
    </script>
    <script type="text/javascript">

        $(document).ready(function () {
            hidepar();


        });
        $('#ParCourses').change(function () {
            hidepar();

            var cval = $('#ParCourses :selected').text();

            if (cval == "IELTS") {
                $('#parie').show();
            }
            if (cval == "GRAMMAR") {
                $('#pargr').show();
            }
            if (cval == "ENDEAVOUR") {
                $('#paren').show();
            }

            if (cval == "PTE") {
                $('#pteg').show();
            }
        });


        $("#getdatabtn").click(function () {

            var cid = $('#ParCourses').val();
            var cval = $('#ParCourses :selected').text();
            var gid = 0;
            if (cval == "IELTS") {
                gid = $("#parie").val();
            }
            if (cval == "GRAMMAR") {
                gid = $('#pargr').val();

            }
            if (cval == "ENDEAVOUR") {
                gid = $('#paren').val();
            }

            if (cval == "PTE") {
                gid = $('#pteg').val();
            }
            $.get("/MaCourse/_GroupList", { sid: gid }, function (data) {
    $("#grplst").html(data);
            });
        });
        function hidepar() {
            $('#parie').hide();
            $('#paren').hide();
            $('#pargr').hide();
            $('#pteg').hide();
        }
        $(document).ready(function () {

            /*-----------------gmail type check/uncheck All---------------------- */

            $("#chk_all").live("click", function () {
                if ($("#chk_all").attr('checked')) {
                    $('input[type="checkbox"]').attr('checked', true);
                }
                else {
                    $('input[type="checkbox"]').attr('checked', false);
                }
            });
 });
    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)
  SSCWebDBEntities1 db = new SSCWebDBEntities1();
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Assign Code
        </h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "MaCourse") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Create" id="Createbtn" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <fieldset>
                            <legend>Assign Time Code</legend>
                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Course
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            ViewBag.Courses = new SelectList(db.MaCourses.ToList(), "Id", "CourseName");
                                        }
                                        @Html.DropDownList("Courses", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Groups
                                    </td>
                                    <td>
                                        @{
                                            var listIELTS = new List<ListItem>();
                                            listIELTS.Add(new ListItem { Text = "FLYER", Value = "FLYER" });
                                            listIELTS.Add(new ListItem { Text = "ASPIRANT", Value = "ASPIRANT" });
                                            listIELTS.Add(new ListItem { Text = "STARTER", Value = "STARTER" });

                                            ViewBag.IELTS = listIELTS;

                                            var listGRAM = new List<ListItem>();

                                            listGRAM.Add(new ListItem { Text = "GRAMMAR", Value = "GRAMMAR" });

                                            ViewBag.Grammar = listGRAM;

                                            var listEND = new List<ListItem>();
                                            listEND.Add(new ListItem { Text = "ENDEAVOUR", Value = "ENDEAVOUR" });

                                            ViewBag.End = listEND;

                                            var ptelist = new List<ListItem>();
                                            ptelist.Add(new ListItem { Text = "PTE", Value = "PTE" });

                                            ViewBag.Pte = ptelist;
                                        }
                                        @Html.DropDownList("ie", new SelectList(listIELTS))
                                        @Html.DropDownList("gr", new SelectList(listGRAM))
                                        @Html.DropDownList("en", new SelectList(listEND))
                                        @Html.DropDownList("pt", new SelectList(ptelist))
                                    </td>
                                </tr>
                            </table>
                            <br />
                        </fieldset>
                        <br />
                        <fieldset>
                            <legend>Filter Time Codes</legend>
                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Course
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            ViewBag.ParCourses = new SelectList(db.MaCourses.ToList(), "Id", "CourseName");
                                        }
                                        @Html.DropDownList("ParCourses", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Groups
                                    </td>
                                    <td>
                                        @Html.DropDownList("parie", new SelectList(listIELTS))
                                        @Html.DropDownList("pargr", new SelectList(listGRAM))
                                        @Html.DropDownList("paren", new SelectList(listEND))
                                        @Html.DropDownList("pteg", new SelectList(ptelist))
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <input type="button" class="btn btn-primary" value="GetData" id="getdatabtn" />
                                    </td>
                                </tr>
                            </table>
                        </fieldset>
                        <div id="grplst">
                            @Html.Action("_GroupList")
                        </div>
                        <input type="button" value="submit" id="updateselection" />
                        <input type="button" id="refreshbtn" value="Refresh" />
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>
                                            }

Views/MaCourse/Create.cshtml
@model SSCMvc.Models.MaCourse

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
     <script type="text/javascript">
         $(document).ready(function () {
             $("#btnCancel").click(function () {
                 window.location.href = "/MaCourse/Index";
             });

         });
    </script>
}

@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Create Course</h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index","MaCourse") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel"/>

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.CourseName)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>

                                    </td>
                                    <td>@Html.EditorFor(model => model.CourseName)
                                        @Html.ValidationMessageFor(model => model.CourseName)</td>
                                </tr>



                              @*  <tr>
                                    <td>@Html.LabelFor(model => model.Status)</td>
                                    <td>@Html.CheckBoxFor(model => model.Status, new { @checked = true })
                                        @Html.ValidationMessageFor(model => model.Status)</td>
                                </tr>*@


                            </table>

                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>New Password</label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>





            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>


        </div>
    </div>
}

Views/MaCourse/Delete.cshtml
@model SSCMvc.Models.MaCourse

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<fieldset>
    <legend>MaCourse</legend>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.CourseName)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.CourseName)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.MaBranch.BramchName)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.MaBranch.BramchName)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Cdate)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Cdate)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Status)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Status)
    </div>
</fieldset>
@using (Html.BeginForm()) {
    <p>
        <input type="submit" value="Delete" /> |
        @Html.ActionLink("Back to List", "Index")
    </p>
}

Views/MaCourse/Details.cshtml
@model SSCMvc.Models.MaCourse

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">Course Details</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index","MaCourse") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>


<table align="center" style="width: 500px">
    <tr>
        <td style="width: 100%">
            <fieldset>

                <legend>Course</legend>

                <table align="center" style="width: 100%">
                    <tr>
                        <td align="left" style="width: 140px">@Html.DisplayNameFor(model => model.CourseName)</td>
                        <td align="left">@Html.DisplayFor(model => model.CourseName)</td>
                    </tr>

                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Cdate)</td>
                        <td>
                        @{string cdate = String.Format("{0:dd MMM,yyyy}", Model.Cdate);}
                        @cdate</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Status)</td>
                        <td>@Html.DisplayFor(model => model.Status)</td>
                    </tr>

                </table>

            </fieldset>

            <div>

                @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
            </div>
        </td>
    </tr>


</table>